System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown) System.Runtime.InteropServices.Guid("4BACD258-DE64-4048-BC4E-FEDBEF9ACB76")

The interface provides properties and methods for adding and removing toolbox items and toolbox creator callback delegates, serializing and deserializing toolbox items, and retrieving toolbox state information and managing toolbox state.

You can retrieve information about the contents of the toolbox with the following methods:

The property indicates the categories currently available on the toolbox.

The property indicates the currently selected toolbox category.

The method retrieves the items on the toolbox, optionally filtered by a specified toolbox category.

The method retrieves the currently selected .

The method selects the specified as the current toolbox item.

The method indicates whether the specified serialized object, if it is a , is supported by the specified designer host, or whether it matches the specified attributes.

The method indicates whether the specified serialized object is a .

You can add and remove toolbox items with the following methods:

The method adds a to the toolbox, creating the optionally specified category if it does not exist.

The method adds a that is only enabled for the current project to the toolbox.

The method removes the specified .

The method adds a delegate capable of converting some type of data stored on the toolbox to a .

The method removes any delegates for the specified data type.

You can refresh the toolbox, mark a toolbox item as used, or set the mouse cursor to a cursor that represents the current toolbox item using the following methods:

The method refreshes the toolbox display to reflect the current state of the toolbox items.

The method signals the toolbox that the selected toolbox item has been used.

The method sets the mouse cursor to a cursor that represents the current toolbox item.

You can use the toolbox to serialize or deserialize a toolbox item using the following methods:

The method attempts to return a from the specified serialized toolbox item object.

The method returns a serialized object representing the specified .

Provides methods and properties to manage and query the toolbox in the development environment.

- Method
  System.Void `` ``

  A toolbox item creator can convert data of a particular data format that has been pasted or dropped on the toolbox into a . If a creator handles more than one format, call more than once. Unexpected behavior may result if you add more than one creator for the same format.

  Adds a new toolbox item creator for a specified data format.

  A that can create a component when the toolbox item is invoked. The data format that the creator handles. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  A toolbox item creator can convert data of a particular data format that has been pasted or dropped on the toolbox into a . If a creator handles more than one format, call more than once. Unexpected behavior may result if you add more than one creator for the same format.

  If the parameter is set to null, the creator will be available to all designers. If a designer host is supplied, the creator will only be available to designers using the specified host.

  Adds a new toolbox item creator for a specified data format and designer host.

  A that can create a component when the toolbox item is invoked. The data format that the creator handles. The that represents the designer host to associate with the creator. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  A linked toolbox item is a toolbox item that is only available for a specific project.

  Adds the specified project-linked toolbox item to the toolbox.

  The linked to add to the toolbox. The for the current design document. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  A linked toolbox item is a toolbox item that is only available for a specific project.

  Adds the specified project-linked toolbox item to the toolbox in the specified category.

  The linked to add to the toolbox. The toolbox item category to add the toolbox item to. The for the current design document. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Adds the specified toolbox item to the toolbox.

  The to add to the toolbox. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adds the specified toolbox item to the toolbox in the specified category.

  The to add to the toolbox. The toolbox item category to add the to. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Design.CategoryNameCollection To be added: an object of type 'CategoryNameCollection' To be added

  Gets the names of all the tool categories currently on the toolbox.

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Design.ToolboxItem `` To be added

  Gets a toolbox item from the specified object that represents a toolbox item in serialized form.

  The created from the serialized object.

  The object that contains the to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.ToolboxItem `` `` To be added

  Gets a toolbox item from the specified object that represents a toolbox item in serialized form, using the specified designer host.

  The created from deserialization.

  The object that contains the to retrieve. The to associate with this . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.ToolboxItem To be added

  Gets the currently selected toolbox item.

  The that is currently selected, or null if no toolbox item has been selected.

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Design.ToolboxItem ``

  This method returns the currently selected if it is not designer specific, and only returns a designer-specific currently selected if the type of the designer host specified in the parameter matches the type of designer that the currently selected supports.

  Gets the currently selected toolbox item if it is available to all designers, or if it supports the specified designer.

  The that is currently selected, or null if no toolbox item is currently selected.

  The that the selected tool must be associated with for it to be returned. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.ToolboxItemCollection To be added

  Gets the entire collection of toolbox items from the toolbox.

  A that contains the current toolbox items.

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Design.ToolboxItemCollection `` To be added

  Gets the collection of toolbox items that are associated with the specified designer host from the toolbox.

  A that contains the current toolbox items that are associated with the specified designer host.

  The that is associated with the toolbox items to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.ToolboxItemCollection `` To be added

  Gets a collection of toolbox items from the toolbox that match the specified category.

  A that contains the current toolbox items that are associated with the specified category.

  The toolbox item category to retrieve all the toolbox items from. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.ToolboxItemCollection `` `` To be added

  Gets the collection of toolbox items that are associated with the specified designer host and category from the toolbox.

  A that contains the current toolbox items that are associated with the specified category and designer host.

  The toolbox item category to retrieve the toolbox items from. The that is associated with the toolbox items to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Gets a value indicating whether the specified object which represents a serialized toolbox item matches the specified attributes.

  true if the object matches the specified attributes; otherwise, false.

  The object that contains the to retrieve. An that contains the attributes to test the serialized object for. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Gets a value indicating whether the specified object which represents a serialized toolbox item can be used by the specified designer host.

  true if the specified object is compatible with the specified designer host; otherwise, false.

  The object that contains the to retrieve. The to test for support for the . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether the specified object is a serialized toolbox item.

  true if the object contains a toolbox item object; otherwise, false.

  The object to inspect. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Gets a value indicating whether the specified object is a serialized toolbox item, using the specified designer host.

  true if the object contains a toolbox item object; otherwise, false.

  The object to inspect. The that is making this request. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The method is used to indicate to the toolbox service that the user wants to update the cache of toolbox items. If the toolbox service maintains a live list of toolbox item containers, then this method will do nothing. If it maintains a snapshot of toolbox item containers, calling this method should ensure that the snapshot is up to date.

  Refreshes the state of the toolbox items.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Removes a previously added toolbox item creator of the specified data format.

  The data format of the creator to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Removes a previously added toolbox creator that is associated with the specified data format and the specified designer host.

  The data format of the creator to remove. The that is associated with the creator to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the specified toolbox item from the toolbox.

  The to remove from the toolbox. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Removes the specified toolbox item from the toolbox.

  The to remove from the toolbox. The toolbox item category to remove the from. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the currently selected tool category from the toolbox.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Notifies the toolbox service that the selected tool has been used.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  This method serializes the specified to an object that can be persisted. The returned object can be stored in a stream or passed around in a drag-and-drop or clipboard operation.

  Gets a serializable object that represents the specified toolbox item.

  An object that represents the specified .

  The to serialize. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean

  If no tool is selected, the cursor will default to the standard Windows cursor.

  Sets the current application's cursor to a cursor that represents the currently selected tool.

  true if the cursor is set by the currently selected tool, false if there is no tool selected and the cursor is set to the standard windows cursor.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Selects the specified toolbox item.

  The to select. 1.0.5000.0 2.0.0.0